Bug 12289 - smbd: memory leak when listing user quotas if not records exist
smbd: memory leak when listing user quotas if not records exist
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-22 14:11 UTC by Uri Simchoni
Modified: 2016-10-24 09:29 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.5.next (1.02 KB, patch)
2016-10-04 19:39 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-09-22 14:11:41 UTC
When listing user quotas (currently only supported via SMB1), if no records exist, the server returns an empty list but a talloc context that was supposed to hold the list is never freed.
Comment 1 Uri Simchoni 2016-10-04 19:39:53 UTC
Created attachment 12543 [details]
git-am fix for 4.5.next
Comment 2 Jeremy Allison 2016-10-05 18:56:57 UTC
Re-assigning to Karolin for inclusion in 4.5.next.
Comment 3 Karolin Seeger 2016-10-19 07:51:18 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2016-10-24 09:29:14 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!